#!/usr/bin/python

"""
It is run by the script rdp_dada2.sh. It merges the asv table and the rdp classification
....

"""
    
import io
import sys
import string
import pandas as pd

#sys.argv=['a','plate10_rdp.csv','plate10_rdp.csv.otu.rdp.txt']

if len(sys.argv) == 1:
	print __doc__
	exit(0)

asv=pd.read_csv(sys.argv[1],sep='\t')
asv=asv.drop(['Kingdom','Phylum','Class', 'Order','Family','Genus',], axis=1)
print asv

rdp=pd.read_csv(sys.argv[2],sep='\t', index_col=False, names=['ASV',' ','Kingdom', 'Rank1', 'Conf1','Phylum','Rank2','Conf2','Class','Rank3', 'Conf3', 'Order','Rank4','Conf4','Family','Rank5','Conf5','Genus','Rank6','Conf6'])
print rdp

merge=pd.merge(asv,rdp,on=['ASV'],how='right')
merge.to_csv(sys.argv[-1]+'.merged.tab',sep="\t",index=False)



